#!/bin/bash
#
# Federated Stop Script

usage() {
  echo "$0: all|dns|postgresql|ldap|mail|collabora|nextcloud|matrix|jitsi|listmonk|vaultwarden|panel|proxy"
  exit 2
}
stopservice() {
  echo "* Stopping $SERVICE.."
  docker-compose -f /federated/apps/$SERVICE/docker-compose.yml -p $SERVICE down
}
stopservice_all() {
  for i in dns postgresql ldap mail collabora nextcloud matrix jitsi listmonk vaultwarden panel proxy; do
    echo "* Stopping $i.."
    docker-compose -f /federated/apps/$i/docker-compose.yml -p $i down
  done
}

[ $# != 1 ] && usage
SERVICE=$1

case "$SERVICE" in
  all) stopservice_all;;
  dns|postgresql|ldap|mail|collabora|nextcloud|matrix|jitsi|listmonk|vaultwarden|panel|proxy) stopservice;;
  *) usage;;
esac
